org.keycloak.keys

## Class JavaKeystoreKeyProviderFactory

- java.lang.Object
- - org.keycloak.keys.AbstractRsaKeyProviderFactory
  - - org.keycloak.keys.JavaKeystoreKeyProviderFactory

- All Implemented Interfaces:
    ComponentFactory, KeyProviderFactory, ConfiguredProvider, ProviderFactory

      public class JavaKeystoreKeyProviderFactory
      extends AbstractRsaKeyProviderFactory

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`
    `static String` | `KEY_ALIAS_KEY`
    `static ProviderConfigProperty` | `KEY_ALIAS_PROPERTY`
    `static String` | `KEY_PASSWORD_KEY`
    `static ProviderConfigProperty` | `KEY_PASSWORD_PROPERTY`
    `static String` | `KEYSTORE_KEY`
    `static String` | `KEYSTORE_PASSWORD_KEY`
    `static ProviderConfigProperty` | `KEYSTORE_PASSWORD_PROPERTY`
    `static ProviderConfigProperty` | `KEYSTORE_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaKeystoreKeyProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyProvider` | `create(KeycloakSession session, ComponentModel model)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `validateConfiguration(KeycloakSession session, RealmModel realm, ComponentModel model)` Called before a component is created or updated.

    - ### Methods inherited from class org.keycloak.keys.AbstractRsaKeyProviderFactory

      `configurationBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.keys.KeyProviderFactory

      `close, createFallbackKeys, init, postInit`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### KEYSTORE_KEY

          public static String KEYSTORE_KEY

    - #### KEYSTORE_PROPERTY

          public static ProviderConfigProperty KEYSTORE_PROPERTY

    - #### KEYSTORE_PASSWORD_KEY

          public static String KEYSTORE_PASSWORD_KEY

    - #### KEYSTORE_PASSWORD_PROPERTY

          public static ProviderConfigProperty KEYSTORE_PASSWORD_PROPERTY

    - #### KEY_ALIAS_KEY

          public static String KEY_ALIAS_KEY

    - #### KEY_ALIAS_PROPERTY

          public static ProviderConfigProperty KEY_ALIAS_PROPERTY

    - #### KEY_PASSWORD_KEY

          public static String KEY_PASSWORD_KEY

    - #### KEY_PASSWORD_PROPERTY

          public static ProviderConfigProperty KEY_PASSWORD_PROPERTY

  - ### Constructor Detail

    - #### JavaKeystoreKeyProviderFactory

          public JavaKeystoreKeyProviderFactory()

  - ### Method Detail

    - #### create

          public KeyProvider create(KeycloakSession session,
                                    ComponentModel model)

    - #### validateConfiguration

          public void validateConfiguration(KeycloakSession session,
                                            RealmModel realm,
                                            ComponentModel model)
                                     throws ComponentValidationException

      Description copied from interface: `ComponentFactory`
      Called before a component is created or updated. Allows you to validate the configuration
      Specified by:
        `validateConfiguration` in interface `ComponentFactory`
      Overrides:
        `validateConfiguration` in class `AbstractRsaKeyProviderFactory`
      Throws:
        `ComponentValidationException`

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

Copyright © 2021 JBoss by Red Hat. All rights reserved.